@charset "UTF-8";
/* 共通 */
.sp_img > figure {
  width: 100%;
}
.sp_img > figure > img {
  min-width: 100%;
  max-width: 100%;
}

@media print, screen and (min-width: 769px) {
  .sp_disp {
    display: none !important;
  }
}

@media screen and (max-width: 768px) {
  .pc_disp {
    display: none !important;
  }
}

.text-wrap {
  display: inline-block;
}

@media print, screen and (min-width: 769px) {
  .sp_br {
    display: none !important;
  }
}

@media screen and (max-width: 768px) {
  .pc_br {
    display: none !important;
  }
}

@media print, screen and (min-width: 769px) {
  .tel.callnumber {
    pointer-events: none;
  }
}
/* レイアウト */
html {
  scroll-padding-top: 70px;
}

#wrap {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  container-type: inline-size;
}

#layout-body {
  flex-grow: 1;
}
@media print, screen and (min-width: 769px) {
  #layout-body {
    -webkit-padding-after: 2rem;
            padding-block-end: 2rem;
  }
}
@media screen and (max-width: 768px) {
  #layout-body {
    -webkit-padding-before: 1rem;
            padding-block-start: 1rem;
    -webkit-padding-after: 1rem;
            padding-block-end: 1rem;
  }
}

@media print, screen and (min-width: 769px) {
  .innerwrap {
    max-width: 1200px;
    margin: auto;
    padding-inline: 50px;
  }
}
@media screen and (max-width: 768px) {
  .innerwrap {
    width: 96%;
    margin: auto;
  }
}

@media print, screen and (min-width: 769px) {
  #fixd_header {
    justify-content: space-between;
  }
  .sitename {
    margin-block: 1.8181818182%;
    width: 19.8181818182%;
  }
  #g-nav {
    width: 59.9090909091%;
  }
  #globalmenu > li.admission {
    -webkit-padding-start: 6.0698027314%;
            padding-inline-start: 6.0698027314%;
  }
  #globalmenu > li.album {
    -webkit-padding-start: 7.8907435508%;
            padding-inline-start: 7.8907435508%;
  }
  #globalmenu > li.support {
    -webkit-padding-start: 9.1047040971%;
            padding-inline-start: 9.1047040971%;
  }
  #globalmenu > li.contact {
    -webkit-padding-start: 10.62215478%;
            padding-inline-start: 10.62215478%;
  }
}
@media screen and (max-width: 768px) {
  .sitename {
    height: 100%;
    width: calc(100% - 70px);
    max-width: -webkit-fit-content;
    max-width: -moz-fit-content;
    max-width: fit-content;
    margin: 0;
  }
  .sitename a {
    height: 100%;
    display: block;
    width: 100%;
  }
  .sitename img,
.sitename picture {
    aspect-ratio: 354/65;
  }
}
.page-name img {
  margin: auto;
}

.mainblock .sec {
  -webkit-margin-after: 2.5%;
          margin-block-end: 2.5%;
}
.mainblock .sec:last-child {
  margin-bottom: initial;
}
.mainblock .sec .sec-title {
  transform: scale(0.95, 1);
  transform-origin: top left;
}
.mainblock .entry-excerpt a {
  text-decoration: none;
  color: currentColor;
}
.mainblock .block-index {
  width: 100%;
}
.mainblock .excerpt-text {
  margin: 0;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.mainblock .category,
.mainblock .entry-time {
  white-space: nowrap;
}

#layout-footer {
  background: #3fa9f5;
  padding-top: 1.3333333333%;
}
#layout-footer .innerwrap {
  color: #fff;
}
#layout-footer .site-name {
  font-family: fot-tsukuardgothic-std, sans-serif;
  font-weight: 700;
  display: flex;
  justify-content: center;
  gap: 1em;
  align-items: flex-end;
}
#layout-footer .site-name span {
  font-size: 0.8em;
  display: inline-block;
}
#layout-footer .site-name strong {
  font-size: 1.35em;
}
#layout-footer address {
  font-family: fot-tsukuardgothic-std, sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 0.75em;
  display: flex;
  grid-template-columns: auto auto;
  gap: 0 1em;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin: auto;
}
#layout-footer address a {
  color: currentColor;
  text-decoration: none;
}
@media screen and (max-width: 768px) {
  #layout-footer address {
    gap: 0 1em;
    flex-wrap: wrap;
    justify-content: center;
  }
  #layout-footer address p {
    margin-block: 0px;
    font-size: initial;
  }
}

.copyright {
  width: 100%;
  display: block;
  text-align: center;
  padding-block: 0.3em;
  font-size: 12px;
  color: #fff;
  word-break: auto-phrase;
}

/*メニュー*/
@media print, screen and (min-width: 769px) {
  #fixd_header {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
}
@media screen and (max-width: 768px) {
  #layout-header {
    padding-top: 70px;
  }
  #fixd_header {
    position: fixed;
    height: 70px;
    width: 100%;
    z-index: 999;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    background: #fff;
    color: #fff;
    text-align: center;
    padding: 10px 15px;
  }
  #fixd_header.UpMove {
    -webkit-animation: UpAnime 0.5s forwards;
            animation: UpAnime 0.5s forwards;
  }
  @-webkit-keyframes UpAnime {
    from {
      opacity: 1;
      transform: translateY(0);
    }
    to {
      opacity: 0;
      transform: translateY(-100px);
    }
  }
  @keyframes UpAnime {
    from {
      opacity: 1;
      transform: translateY(0);
    }
    to {
      opacity: 0;
      transform: translateY(-100px);
    }
  }
  #fixd_header.DownMove {
    -webkit-animation: DownAnime 0.5s forwards;
            animation: DownAnime 0.5s forwards;
  }
  @-webkit-keyframes DownAnime {
    from {
      opacity: 0;
      transform: translateY(-100px);
    }
    to {
      opacity: 1;
      transform: translateY(0);
    }
  }
  @keyframes DownAnime {
    from {
      opacity: 0;
      transform: translateY(-100px);
    }
    to {
      opacity: 1;
      transform: translateY(0);
    }
  }
  .wrap {
    position: relative;
  }
  #overlay {
    width: 0;
    height: 0;
    position: fixed;
    z-index: 11;
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity 0.5s;
    background: rgba(255, 255, 255, 0.7);
  }
  #overlay.open {
    width: 100%;
    height: 100%;
    opacity: 1;
  }
  .openbtn {
    position: fixed;
    z-index: 9999;
    top: 10px;
    right: 10px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    padding: 8px 8px;
  }
  .openbtn span {
    display: inline-block;
    transition: all 0.4s;
    height: 3px;
    border-radius: 2px;
    background-color: #00af7a;
  }
  .openbtn.active span:nth-of-type(1) {
    transform: translateY(16px) rotate(-45deg);
  }
  .openbtn.active span:nth-of-type(2) {
    opacity: 0;
  }
  .openbtn.active span:nth-of-type(3) {
    transform: translateY(-16px) rotate(45deg);
  }
}
.menu {
  padding-left: 0;
}
.menu li {
  list-style-type: none;
}
.menu li > a {
  display: block;
  width: 100%;
  padding: 10px 20px;
}
.menu li > a span {
  display: block;
}
.menu li.menu-item-has-children ul.sub-menu {
  display: none;
}

@media print, screen and (min-width: 769px) {
  #g-nav > ul {
    display: flex;
    justify-content: center;
    align-items: end;
  }
  #g-nav > ul li > a {
    padding: 0;
  }
  li.menu-item-has-children {
    position: relative;
  }
  li.menu-item-has-children .sub-menu {
    display: none;
    position: absolute;
    z-index: 999;
    background: #999;
  }
}
@media screen and (max-width: 768px) {
  #globalmenu {
    -webkit-margin-before: 5em;
            margin-block-start: 5em;
  }
  .menu li > a {
    line-height: 2;
  }
  #g-nav {
    position: fixed;
    z-index: 999;
    top: 0;
    overflow: auto;
    right: -120%;
    width: 70%;
    min-height: 100vh;
    background: #fff;
    transition: all 0.6s;
    height: 100%;
  }
  #g-nav.panelactive {
    right: 0;
  }
  #g-nav .menu-item-has-children > a:first-of-type {
    position: relative;
    padding-right: 2em;
  }
  #g-nav .menu-item-has-children > a.open:first-of-type {
    color: #212529;
  }
  #g-nav .menu-item-has-children > a:after,
#g-nav .menu-item-has-children > a:before {
    display: block;
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    right: 20px;
    margin: auto;
    width: 10px;
    height: 1px;
    background: #212529;
    transition: 0.2s;
  }
  #g-nav .menu-item-has-children > a:after {
    transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
  }
  #g-nav .menu-item-has-children > a.open:before {
    transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
  }
  #g-nav .menu-item-has-children > a.open:after {
    background: transparent;
  }
}
@media screen and (min-width: 769px) {
  div.tothetop {
    position: fixed;
    right: 2%;
    bottom: 0%;
    z-index: 1500;
  }
  div.tothetop a {
    display: block;
    margin: 0;
    background: url(../images/scrolltop_pc.png);
    background-size: contain;
    width: 48px;
    aspect-ratio: 1/1;
    text-indent: -9999px;
    overflow: hidden;
    opacity: 0.3;
  }
  div.tothetop a:hover {
    opacity: 1;
  }
}
@media screen and (max-width: 768px) {
  div.tothetop {
    position: fixed;
    right: 2%;
    bottom: 1%;
    z-index: 1500;
  }
  div.tothetop a {
    display: block;
    margin: 0;
    background: url(../images/scrolltop_sp.png);
    width: 48px;
    aspect-ratio: 1/1;
    background-size: contain;
    text-indent: -9999px;
    overflow: hidden;
    opacity: 0.3;
  }
  div.tothetop a:hover {
    opacity: 1;
  }
}
.modaal-outer-wrapper {
  max-width: 1160px;
  max-height: 90%;
  width: 90%;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  overflow: auto;
}

.modaal-inner-wrapper {
  display: block;
  width: 100%;
  height: 100%;
  position: relative;
  text-align: center;
  padding: 0 !important;
}

.modaal-wrapper {
  overflow: hidden;
}